Bug 854466 - Caught "ArgumentError in BuildingController#destroy" error when trying to remove jenkins.
Caught "ArgumentError in BuildingController#destroy" error when trying to rem...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 02:33 EDT by Yujie Zhang
Modified: 2015-05-14 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:30:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Site and Broker detail logs. (5.21 KB, text/plain)
2012-09-05 02:33 EDT, Yujie Zhang
no flags Details

  None (edit)
Description Yujie Zhang 2012-09-05 02:33:56 EDT
Created attachment 609877 [details]
Site and Broker detail logs.

Description of problem:

After I enabled jenkins, I tried to remove jenkins, when I clicked the "Remove Jenkins" button on /app/console/applications/cakephp/building/delete page, I caught "ArgumentError in BuildingController#destroy" error.Details log please see in attchment.

Version-Release number of selected component (if applicable):

fork_ami_opensource_console_66

How reproducible:

always

Steps to Reproduce:
1.Create an application and enable jenkins.
2.Click the "remove the jenkins cartridge" link on app/console/applications/cakephp/building page
3.Click the "Remove Jenkins" button 
  
Actual results:

Caught "ArgumentError in BuildingController#destroy" error, details logs see in attachment.

Expected results:

The jenkins should be removed correctly.

Additional info:
Comment 1 Yujie Zhang 2012-09-05 23:06:51 EDT
Tested this issue on fork_ami_opensource_cosole_77, it has been fixed now, thanks.

Note You need to log in before you can comment on or make changes to this bug.